Vault blocks
Structure
Endpoints
Vault latest blocks
Endpoints
Last updated
Last updated
GET /v1/vault-blocks HTTP/1.1
Host: api.pareto.credit
Accept: */*
{
"data": [
{
"_id": "text",
"vaultId": "text",
"vaultAddress": "text",
"block": {
"number": 1,
"timestamp": 1
},
"APRs": {
"BASE": 1,
"HARVEST": 1,
"REWARDS": 1,
"GROSS": 1,
"NET": 1,
"FEE": 1
},
"APYs": {
"BASE": 1,
"HARVEST": 1,
"REWARDS": 1,
"GROSS": 1,
"NET": 1,
"FEE": 1
},
"totalSupply": "text",
"price": "text",
"TVL": {
"token": "text",
"USD": "text"
},
"pools": [
{
"address": "text",
"protocol": "text",
"rates": {
"supply": 1,
"borrow": 1
},
"utilization": {
"supplied": "text",
"borrowed": "text",
"rate": 1
},
"available": {
"toBorrow": "text",
"toWithDraw": "text"
}
}
],
"allocations": [],
"createdAt": "2026-01-25T01:59:12.927Z",
"updatedAt": "2026-01-25T01:59:12.927Z",
"createdBy": "text",
"updatedBy": "text"
}
],
"totalCount": 1
}GET /v1/vault-blocks/{vaultBlockId} HTTP/1.1
Host: api.pareto.credit
Accept: */*
{
"_id": "text",
"vaultId": "text",
"vaultAddress": "text",
"block": {
"number": 1,
"timestamp": 1
},
"APRs": {
"BASE": 1,
"HARVEST": 1,
"REWARDS": 1,
"GROSS": 1,
"NET": 1,
"FEE": 1
},
"APYs": {
"BASE": 1,
"HARVEST": 1,
"REWARDS": 1,
"GROSS": 1,
"NET": 1,
"FEE": 1
},
"totalSupply": "text",
"price": "text",
"TVL": {
"token": "text",
"USD": "text"
},
"pools": [
{
"address": "text",
"protocol": "text",
"rates": {
"supply": 1,
"borrow": 1
},
"utilization": {
"supplied": "text",
"borrowed": "text",
"rate": 1
},
"available": {
"toBorrow": "text",
"toWithDraw": "text"
}
}
],
"allocations": [],
"createdAt": "2026-01-25T01:59:12.927Z",
"updatedAt": "2026-01-25T01:59:12.927Z",
"createdBy": "text",
"updatedBy": "text"
}GET /v1/vault-latest-blocks HTTP/1.1
Host: api.pareto.credit
Accept: */*
{
"data": [
{
"vaultId": "text",
"vaultAddress": "text",
"block": {
"number": 1,
"timestamp": 1
},
"TVL": {
"token": "text",
"USD": "text"
},
"price": "text",
"APRs": {
"BASE": 1,
"HARVEST": 1,
"REWARDS": 1,
"GROSS": 1,
"NET": 1,
"FEE": 1
},
"createdAt": "2026-01-25T01:59:12.927Z",
"updatedAt": "2026-01-25T01:59:12.927Z",
"createdBy": "text",
"updatedBy": "text"
}
],
"totalCount": 1
}